Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Interface BusinessSmartWorkAreaHome

public interface BusinessSmartWorkAreaHome
extends SmartEJBHome

The home interface for the BusinessSmartWorkArea entity bean. Use this class to create, remove, and find BusinessSmartWorkArea entity beans. BusinessSmartWorkArea is an internal entity bean that provides system storage for BusinessSmartEngine. None one should use this bean directly.

See Also:
  `BusinessSmartEngine`, `BusinessSmartWorkArea`, `BusinessSmartWorkAreaPk`, `BusinessSmartWorkAreaImpl`

Method Summary
`BusinessSmartWorkArea` | `create(BusinessSmartWorkAreaPk businessSmartWorkAreaPk)` Create a new BusinessSmartWorkArea entity bean using the theory.smart.foundation.BusinessSmartWorkAreaPk.
`BusinessSmartWorkArea` | `findByPrimaryKey(BusinessSmartWorkAreaPk businessSmartWorkAreaPk)` Find a BusinessSmartWorkArea entity bean using the theory.smart.foundation.BusinessSmartWorkAreaPk.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public BusinessSmartWorkArea create(BusinessSmartWorkAreaPk businessSmartWorkAreaPk)
                                 throws CreateException,
                                        java.rmi.RemoteException

  Create a new BusinessSmartWorkArea entity bean using the theory.smart.foundation.BusinessSmartWorkAreaPk.
  See Also:
    `BusinessSmartEngine`

### findByPrimaryKey

    public BusinessSmartWorkArea findByPrimaryKey(BusinessSmartWorkAreaPk businessSmartWorkAreaPk)
                                           throws java.rmi.RemoteException,
                                                  FinderException

  Find a BusinessSmartWorkArea entity bean using the theory.smart.foundation.BusinessSmartWorkAreaPk.
  See Also:
    `BusinessSmartEngine`

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.